summaryrefslogtreecommitdiffstats
path: root/source.local/x/xdg-utils
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/x/xdg-utils
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/x/xdg-utils')
-rw-r--r--source.local/x/xdg-utils/doinst.sh.gzbin0 -> 1432 bytes
-rw-r--r--source.local/x/xdg-utils/slack-desc19
-rwxr-xr-xsource.local/x/xdg-utils/xdg-utils-cvs_checkout.sh17
-rwxr-xr-xsource.local/x/xdg-utils/xdg-utils.SlackBuild87
-rw-r--r--source.local/x/xdg-utils/xdg-utils.info2
5 files changed, 125 insertions, 0 deletions
diff --git a/source.local/x/xdg-utils/doinst.sh.gz b/source.local/x/xdg-utils/doinst.sh.gz
new file mode 100644
index 0000000..f7e05dd
--- /dev/null
+++ b/source.local/x/xdg-utils/doinst.sh.gz
Binary files differ
diff --git a/source.local/x/xdg-utils/slack-desc b/source.local/x/xdg-utils/slack-desc
new file mode 100644
index 0000000..ef97cc6
--- /dev/null
+++ b/source.local/x/xdg-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xdg-utils: xdg-utils (command line tools that assist applications)
+xdg-utils:
+xdg-utils: Xdg-utils is a set of command line tools that assist applications
+xdg-utils: with a variety of desktop integration tasks. About half of the
+xdg-utils: tools focus on tasks commonly required during the installation of
+xdg-utils: a desktop application and the other half focuses on integration
+xdg-utils: with the desktop environment while the application is running.
+xdg-utils:
+xdg-utils: Homepage: http://portland.freedesktop.org/wiki/
+xdg-utils:
+xdg-utils:
diff --git a/source.local/x/xdg-utils/xdg-utils-cvs_checkout.sh b/source.local/x/xdg-utils/xdg-utils-cvs_checkout.sh
new file mode 100755
index 0000000..74d7ba0
--- /dev/null
+++ b/source.local/x/xdg-utils/xdg-utils-cvs_checkout.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+
+MODULE=$(basename $0 -cvs_checkout.sh)
+DATE=$(date +%Y%m%d)
+
+set -x
+
+rm -rf $MODULE
+
+cvs -z3 -d:pserver:anonymous@cvs.freedesktop.org:/cvs/portland checkout -P portland/$MODULE
+pushd portland
+find . -name CVS -exec rm -rf "{}" \; 2> /dev/null
+tar cjf ../$MODULE-${DATE}cvs.tar.bz2 $MODULE
+popd
+
+rm -rf portland
diff --git a/source.local/x/xdg-utils/xdg-utils.SlackBuild b/source.local/x/xdg-utils/xdg-utils.SlackBuild
new file mode 100755
index 0000000..ad05d70
--- /dev/null
+++ b/source.local/x/xdg-utils/xdg-utils.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for xdg-utils
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified for VERSION version by Patrick Volkerding <volkerdi@slackware.com>
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=xdg-utils
+VERSION=1.1.0-rc1
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+PKG_VERSION=${VERSION/-/_}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man1/*
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ LICENSE README RELEASE_NOTES TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$PKG_VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/x/xdg-utils/xdg-utils.info b/source.local/x/xdg-utils/xdg-utils.info
new file mode 100644
index 0000000..6b5eaf5
--- /dev/null
+++ b/source.local/x/xdg-utils/xdg-utils.info
@@ -0,0 +1,2 @@
+HOMEPAGE="http://portland.freedesktop.org/wiki/"
+DOWNLOAD="http://portland.freedesktop.org/download/xdg-utils-1.0.2.tgz"